/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"

/**
 * Initializes the game.
 */
void gameInit();

/**
 * Updates the game.
 * 
 * @param delta Game time update delta since last tick.
 */
void gameUpdate(const float_t delta);

/**
 * Disposes the game.
 */
void gameDispose();