/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "gametime.h"

gametime_t GAME_TIME;

void gameTimeInit() {
  memset(&GAME_TIME, 0, sizeof(gametime_t));
  GAME_TIME.delta = GAME_TIME_STEP_DEFAULT;
}

void gameTimeUpdate(const float_t delta) {
  GAME_TIME.delta = delta;
  GAME_TIME.time += GAME_TIME.delta;
}